package org.wso2.carbon.device.mgt.ios.apns.dto;

import com.google.gson.annotations.SerializedName;

public class SilentPushPayload {

    private ContentAvailable aps;
    private Extra extra;

    public ContentAvailable getAps() {
        return aps;
    }

    public void setAps(ContentAvailable aps) {
        this.aps = aps;
    }

    public Extra getExtra() {
        return extra;
    }

    public void setExtra(Extra extra) {
        this.extra = extra;
    }


    public class Extra {

        private String operation;
        private String operationId;

        public String getOperationId() {
            return operationId;
        }

        public void setOperationId(String operationId) {
            this.operationId = operationId;
        }


        public String getOperation() {
            return operation;
        }

        public void setOperation(String operation) {
            this.operation = operation;
        }
    }

    public class ContentAvailable {

        @SerializedName("content-available")
        private int contentAvailable;

        public int getContentAvailable() {
            return contentAvailable;
        }

        public void setContentAvailable(int contentAvailable) {
            this.contentAvailable = contentAvailable;
        }
    }
}
